Page MenuHomePhabricator

[Migrated] Can't load the list of typos if I am not logged in
Closed, ResolvedPublic

Description

@Meno25 15:16, 30 December 2014 (UTC) wrote:

My settings file contains the list of pages to work on alongside my settings (including enabling typo fixing). The following scenario works:
Login to arwikiLoad the settings file
The following scenario does not work:
Load the settings fileLogin to arwiki
All settings are loaded correctly except loading the list of typos to be fixed which fails saying that no typos are loaded and offering to load the list of enwiki typos. The list of typos on arwiki is ويكيبيديا:الأوتو ويكي براوزر/المستبدلات. This is a trivial bug but I thought that reporting it would be helpful.


Duplicate Load a settings file that include enabling typo fixing on arwiki before logging in. Settings are loaded correctly except the list of typos to be fixed.
Site https://ar.wikipedia.org
OS Windows 8
.NET 2.0.50727.6421
Version 5.5.6.0 SVN 10538
Workaround Login before loading the settings file.

Event Timeline

Josve05a raised the priority of this task from to Needs Triage.
Josve05a updated the task description. (Show Details)
Josve05a added a project: AutoWikiBrowser.
Josve05a added subscribers: Josve05a, Meno25.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 16 2015, 12:49 AM
Josve05a updated the task description. (Show Details)May 16 2015, 12:49 AM
Josve05a set Security to None.

@Meno25 15:18, 30 December 2014 (UTC) wrote:

To be more clear checking the Regex typo fixing option does not work if I am not logged in.

@Reedy 00:01, 18 February 2015 (UTC) wrote:

Does it work if you have those settings loaded as default? Does it work if regextypofix is disabled (and hasn't been enabled in this session) before loading the settings file? I'm suspecting a condition where it's already loaded say the enwiki typos on startup, but then doesn't reload the other typos, as the state of the checkbox doesn't change (and possibly, because the typos are already loaded(?))...

@Meno25 06:11, 18 February 2015 (UTC) wrote:

No in both cases using SVN 10828.

Rjwilmsi closed this task as Resolved.Jun 23 2015, 12:57 PM
Rjwilmsi claimed this task.
Rjwilmsi added a subscriber: Rjwilmsi.

The issue is that ar-wiki is one of the wikis with an override name for their typos page. Currently we only fetch the override name for the typos page when the user logs in. If not logged in no ar-wiki typos page is found at the default (name in English) location, so we offer to download the en-wiki typos as a fallback.

rev 11258, fetch custom typos page URL when loading typos if user not yet logged in

Meno25 updated the task description. (Show Details)Aug 28 2016, 8:22 AM